# Uses of Interface
java.awt.image.BufferedImageOp

Packages that use BufferedImageOp
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.image
Provides classes for creating and modifying images.

## Uses of BufferedImageOp in java.awt

Methods in java.awt with parameters of type BufferedImageOp
Modifier and Type
Method
Description
`abstract void`
Graphics2D.`drawImage​(BufferedImage img, BufferedImageOp op, int x, int y)`
Renders a `BufferedImage` that is filtered with a `BufferedImageOp`.

## Uses of BufferedImageOp in java.awt.image

Classes in java.awt.image that implement BufferedImageOp
Modifier and Type
Class
Description
`class`
`AffineTransformOp`
This class uses an affine transform to perform a linear mapping from 2D coordinates in the source image or `Raster` to 2D coordinates in the destination image or `Raster`.
`class`
`ColorConvertOp`
This class performs a pixel-by-pixel color conversion of the data in the source image.
`class`
`ConvolveOp`
This class implements a convolution from the source to the destination.
`class`
`LookupOp`
This class implements a lookup operation from the source to the destination.
`class`
`RescaleOp`
This class performs a pixel-by-pixel rescaling of the data in the source image by multiplying the sample values for each pixel by a scale factor and then adding an offset.
Methods in java.awt.image that return BufferedImageOp
Modifier and Type
Method
Description
`BufferedImageOp`
BufferedImageFilter.`getBufferedImageOp()`
Returns the `BufferedImageOp`.
Constructors in java.awt.image with parameters of type BufferedImageOp
Modifier
Constructor
Description
``
`BufferedImageFilter​(BufferedImageOp op)`
Constructs a `BufferedImageFilter` with the specified single-source/single-destination operator.